### Function

# PapersDocument Document misc_format_datetime

#### Declaration [src]

    gchar*
    pps_document_misc_format_datetime (
      GDateTime* dt
    )

#### Description [src]

Determine the preferred date and time representation for the current locale for `dt`.

#### Parameters

`dt`

  Type: `GDateTime`

  A `GDateTime`.

  The data is owned by the caller of the function.

#### Return value

Type: `gchar*`

A new allocated string or NULL in the case that there was an error (such as a format specifier not being supported in the current locale). The string should be freed with g_free().

The caller of the function takes ownership of the data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.